<!--
Price leaf компонент онлайн калькулятор.
Версия pro (c) 2012.10.01
Автор Ваня
Copyright (C) 2012 joomla-umnik
Лицензия GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
Официальный сайт http://joomla-umnik.ru
-->

<?php
// Запрет к прямому доступу. Если кто то попытается обратиться к файлу напрямую, joomla выдаст пустую страницу.
defined('_JEXEC') or die('Restricted access');
 
// импорт joomla модели из библиотеки
jimport('joomla.application.component.modeladmin');
 
/**
 * HelloWorld Model
 */
class PriceleafModelCat extends JModelAdmin
{
/**
	 * Returns возвращает ссылку на объект.
	 *
	 * @param	type	Тип таблицы для создания экземпляра
	 * @param	string	Префикс для имени класса таблицы.
	 * @param	array	Массив для модели.
	 * @return	JTable	Объекты базы данных
	 */
	public function getTable($type = 'Cat', $prefix = 'PriceleafTable', $config = array()) 
	{
		return JTable::getInstance($type, $prefix, $config);
	}
	/**
	 * Метод получения данных
	 *
	 * @param	array	$data		Данные для формы.
	 * @param	boolean	$loadData	Форма для того что бы загрузить свои данные(по умолчанию).
	 * @return	mixed	Вернуть данные в случае успешного завершения.
	 */
	public function getForm($data = array(), $loadData = true) 
	{
		// Get the form.
		$form = $this->loadForm('com_priceleaf.cat', 'cat', array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form)) 
		{
			return false;
		}
		return $form;
	}
	
	//Метод, чтобы получить сценарии, которые должны быть включены в форму
	public function getScript() 
	{
		return 'administrator/components/com_priceleaf/models/forms/priceleaf.js';
	}
	
	/**
	 * Метод, чтобы получить данные, которые должны быть выведены в форме.
	 *
	 * @return	mixed	Данные по форме.
	 */
	protected function loadFormData() 
	{
		// Проверка сессий для ранее введёных данных формы
		$data = JFactory::getApplication()->getUserState('com_priceleaf.edit.cat.data', array());
		if (empty($data)) 
		{
			$data = $this->getItem();
		}
		return $data;
	}
}