<!--
Price leaf компонент онлайн калькулятор.
Версия pro (c) 2012.10.01
Автор Ваня
Copyright (C) 2012 joomla-umnik
Лицензия GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
Официальный сайт http://joomla-umnik.ru
-->

<?php
// Запрет к прямому доступу. Если кто то попытается обратиться к файлу напрямую, joomla выдаст пустую страницу.
defined('_JEXEC') or die('Restricted access');
 
// импорт joomla контроллера из библиотеки
jimport('joomla.application.component.view');
 
/**
 * Вид компонента
 */
class PriceleafViewZakazs extends JView
{

	protected $items;
	protected $pagination;
	protected $state;
	
	function display($tpl = null) 
	{
		// Получаем данные из модели
		$items = $this->get('Items');
		$pagination = $this->get('Pagination');
		$state = $this->get('State');
 
		// Проверяем на наличие ошибок.
		if (count($errors = $this->get('Errors'))) 
		{
			JError::raiseError(500, implode('<br />', $errors));
			return false;
		}
		// Назначение данных для просмотра
		$this->items = $items;
		$this->pagination = $pagination;
		$this->state = $state;
		
		// Устанавливаем панель инструментов
		$this->addToolBar();
 
		// Отобразить данные на дисплее.
		parent::display($tpl);
	}

	/**
	 * Добавить заголовок страницы и панели инструментов.
	 *
	 * @since	1.6
	 */
	protected function addToolBar() 
	{
	
		require_once JPATH_COMPONENT.'/helpers/priceleaf.php';

		$state	= $this->get('State'); 	
	
		$canDo = PriceleafHelper::getActions();
		JToolBarHelper::title(JText::_('COM_PRICELEAF'), 'priceleaf');
		JToolBarHelper::deleteList('', 'zakazs.delete');
		JToolBarHelper::editList('zakaz.edit');
		JToolBarHelper::addNew('zakaz.add');
		JToolBarHelper::custom('zakazs.publish', 'publish.png', 'publish_f2.png','JTOOLBAR_PUBLISH', true);
		JToolBarHelper::custom('zakazs.unpublish', 'unpublish.png', 'unpublish_f2.png', 'JTOOLBAR_UNPUBLISH', true);
	}

	/**
	 * Возвращает массив полей таблицы можно сортировать
	 *
	 * Возвращение массива, содержащий имя поля для сортировки в качестве ключа и текст на дисплее в качестве значения
	 *
	 * @since   3.0
	 */
	protected function getSortFields()
	{
		return array(
			'a.ordering' => JText::_('JGRID_HEADING_ORDERING'),
			'a.state' => JText::_('JSTATUS'),
			'a.id' => JText::_('JGRID_HEADING_ID')
		);
	}
}